Skip to main content
Create a new Agentity account by sending your credentials via Basic Auth and a display name in the request body. Endpoint: POST https://api.agentity.to/auth/register

Request

Authorization
string
required
Basic Auth credentials encoded as Basic base64(email:password). The email becomes your account’s login and the password is used to authenticate future requests.
name
string
required
Your display name on Agentity.

Response

A successful request returns 201 Created with your new account object.
id
string
required
Unique identifier for your account (UUID).
name
string
required
Your display name.
email
string
required
Your account email address.
createdAt
string
required
ISO 8601 timestamp of when the account was created.
updatedAt
string
required
ISO 8601 timestamp of the last account update.

Errors

StatusDescription
400name or email (from Basic Auth) is missing.
409An account with this email already exists.
curl -X POST https://api.agentity.to/auth/register \
  -H "Authorization: Basic $(echo -n 'you@example.com:yourpassword' | base64)" \
  -H "Content-Type: application/json" \
  -d '{"name": "Your Name"}'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "name": "Your Name",
  "email": "you@example.com",
  "createdAt": "2024-01-01T00:00:00.000Z",
  "updatedAt": "2024-01-01T00:00:00.000Z"
}